import extra_geom
from karabo.bound import KARABO_CLASSINFO

from ._version import version as deviceVersion
from .manual_geometry_base import ManualQuadrantsGeometryBase


@KARABO_CLASSINFO("ManualDsscGeometry", deviceVersion)
class ManualDsscGeometry(ManualQuadrantsGeometryBase):
    geometry_class = extra_geom.DSSC_1MGeometry

    @staticmethod
    def expectedParameters(expected):
        super(ManualDsscGeometry, ManualDsscGeometry).expectedParameters(expected)

        expected.setDefaultValue("quadrantCorners.Q1.x", -130)
        expected.setDefaultValue("quadrantCorners.Q1.y", 5)

        expected.setDefaultValue("quadrantCorners.Q2.x", -130)
        expected.setDefaultValue("quadrantCorners.Q2.y", -125)

        expected.setDefaultValue("quadrantCorners.Q3.x", 5)
        expected.setDefaultValue("quadrantCorners.Q3.y", -125)

        expected.setDefaultValue("quadrantCorners.Q4.x", 5)
        expected.setDefaultValue("quadrantCorners.Q4.y", 5)
